#
# spec file for package xoscope
#

Name:           xoscope
Version:        2.1
Release:        %mkrel 1
License:        GPL-2.0
Summary:        Digital oscilloscope
Url:            http://xoscope.sourceforge.net/
Group:          Sciences/Engineering
Source0:        %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#----------------------------------
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}audiofile-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}comedilib-devel
BuildRequires: %{_lib}esound-devel
BuildRequires: %{_lib}fftw-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}gtkdatabox-devel
BuildRequires: %{_lib}pango1.0-devel
#----------------------------------

%description
xoscope is a digital oscilloscope that uses a sound card (via ALSA or EsounD)
and/or a data acquisition card (via COMEDI) as the signal input.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

perl -pi -e "s|HamRadio|HamRadio;|" %name.desktop

desktop-file-validate %name.desktop
install -d -m 755 %buildroot%{_datadir}/applications
desktop-file-install --vendor="" --dir=%buildroot%{_datadir}/applications %name.desktop

%files
%defattr(-,root,root)
%doc COPYING AUTHORS ChangeLog README TODO NEWS
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.*

%changelog
* Sat Aug 01 2015 bb <bb> 2.1-1pclos2015
- import into pclos
